#ifndef CIRCULARCYLINDERTEMPLATE_H
#define CIRCULARCYLINDERTEMPLATE_H

#include "DLAReleaseTemplate.h"
#include "Aggregate.h"
 
class CircularCylinderTemplate: public DLAReleaseTemplate{
	
  public:
    CircularCylinderTemplate();
    virtual ~CircularCylinderTemplate();
    virtual void expand(float deltaX, float deltaY, float deltaZ);

  protected: 
    virtual void  computeNewElementCoordinates();
    float   diagonalLength;
    float   diagonalAngle;
    //float computeEllipseRadius(float angle);
    void computeDiagonals();
    //float computeDiagonalAngle(float angle);
};
#endif
