#ifndef CUBOIDELASTIN_H
#define CUBOIDELASTIN_H

#include "DLAElement.h"

class CuboidElastin : public DLA3DElement{
  public:
    CuboidElastin();
    ~CuboidElastin();
    virtual bool collideWith(DLAElement* targetElement);
    //virtual void  stuckWith(DLAElement* pE);
    virtual void  attach(DLAElement* pE);    
    virtual bool  positionOccupied(float angle, float xPos, DLAElement*& pElm); 
    virtual bool  isAdjustable(DLAElement* pComing, float stepSize, float& adjustAngle, float& adjustDistance, DLAElement*& pOccupy);
};

#endif
