#ifndef DLARELEASETEMPLATE_H
#define DLARELEASETEMPLATE_H

//#include "DLAElement.h"
//#include "Aggregate.h"

#include <string>
#include <vector>

//using namespace std;

//class DLAElement;
class Aggregate;
class DLAElement;

class DLAReleaseTemplate{

  public:
    DLAReleaseTemplate();
    virtual ~DLAReleaseTemplate();

    virtual void expand(float deltaX=0.0f, float deltaY=0.0f, float deltaZ=0.0f);
    virtual void expand(int axes);

    virtual DLAElement* generateElement(std::string elementType);

    virtual void addToRecycleList(DLAElement* recyclableElement);


    float getWidth();
    float getHeight();
    float getDepth();
    void  setAggregate(Aggregate* agg);    

  protected:
    virtual void computeNewElementCoordinates();
    
    float x;
    float y;
    float z;
    float width;
    float height;
    float depth;
    std::vector<DLAElement*> recycleList;
    Aggregate* aggregate;
};

#endif
