#ifndef CROSSVIEWEXT_H_
#define CROSSVIEWEXT_H_
#include <QWidget>
class QGroupBox;
class SimuContext;
class Aggregate;
class GLCrossView;

class CrossViewExt : public QWidget
{
    Q_OBJECT
    
public:
	CrossViewExt(SimuContext* context, Aggregate* agg, QWidget* parent=0);
	virtual ~CrossViewExt();
	
public slots:
	bool exportImage();
	
private:
	GLCrossView*       glView;	
};

#endif /*CROSSVIEWEXT_H_*/
