#ifndef WIDGETZOOM_H_
#define WIDGETZOOM_H_

#include <QWidget>
#include <QSlider>
#include <QLabel>

class WidgetZoom : public QWidget
{
	Q_OBJECT
	
public:
  WidgetZoom(QWidget* parent=0);
  ~WidgetZoom();
  QSize minimumSizeHint() const;
  QSize sizeHint() const;
    
public slots:
  void setZoomScale(int step);

signals:
  void setZoomChanged(float step);
  
private:
  QSlider *createSlider();
  QSlider *scaleSlider;
  QLabel  *scaleLabel;     

  float scale;  
};
#endif /*WIDGETZOOM_H_*/
