#ifndef STATISTICDATA_H
#define STATISTICDATA_H

#include <iostream>
#include <fstream>
#include <sstream>

using namespace std;

class StatisticData{
  friend ostream& operator<<(ostream& ostr, const StatisticData& sData);
  friend istream& operator>>(istream& istr, StatisticData& sData);

public:
  StatisticData();
  ~StatisticData();
  
  const StatisticData operator+(const StatisticData& data) const;
  StatisticData& operator+=(const StatisticData& data);
  StatisticData& operator/=(const float f);

  float density;
  float surfaceArea;
  float width;
  float height;
  float depth;
  float connectivity;
};

#endif
