#include "utils.h"
#include <cstdlib>
#include <cmath>
#include <iostream>

float randomAngle(){
  return 6.28f * ((float)rand()/((float)(RAND_MAX)+1.0f));
}

float randomHalfAngle(){
  return 3.14f * ((float)rand()/((float)(RAND_MAX)+1.0f));
}

float randomAcuteAngle(){
  return 3.14f * ((float)rand()/((float)(RAND_MAX)+1.0f)) - 3.14f/2.0f;  
}

float randomSmallAngle(){
  //return 3.14f * ((float)rand()/((float)(RAND_MAX)+1.0f)) - 3.14f/2.0f;
  return 0.75f * ((float)rand()/((float)(RAND_MAX)+1.0f));  
}

float randomSmallAngle(float temptureConst){
  //return 3.14f * ((float)rand()/((float)(RAND_MAX)+1.0f)) - 3.14f/2.0f;
  float tmpAngle;
  tmpAngle = (0.75f * ((float)rand()/((float)(RAND_MAX)+1.0f)))*exp(-1.0f/temptureConst);
  //tmpAngle = (0.75f * ((float)rand()/((float)(RAND_MAX)+1.0f)))*exp(-log10(1.0f/temptureConst));
  //std::cout<< tmpAngle << "\n";
  return tmpAngle;
  //return (0.75f * ((float)rand()/((float)(RAND_MAX)+1.0f)))*exp(-1.0f/temptureConst);  
}

float randomSpeed(float baseSpeed){
  return baseSpeed * ((float)rand()/((float)(RAND_MAX)+1.0f))-baseSpeed/2.0f;
}

float normalAngle(float testAngle){
  float twopi = GL_PI * 2.0f;
  if(testAngle > twopi){
    testAngle = testAngle - twopi;
  }
  else if(testAngle < 0.0f){
    testAngle += twopi;
  }	
	return testAngle;
}

float diffusionProbability(float freeEnergy, float temptureConst){
	//std::cout << "Free Energy: " << freeEnergy << "\n";
	//float probability = exp(-(1-freeEnergy)/temptureConst);
	float probability = exp(-freeEnergy/temptureConst);
	//std::cout << "Probability: " << probability << "\n";
	return fmin(1.0f, probability);
}

float diffusionProbability2(float freeEnergy, float temptureConst){
	//float probability = exp(-(1-freeEnergy)/temptureConst);	
	float probability = 1.0f - exp(-freeEnergy*temptureConst);
	return fmin(1.0f, probability); 
}
